## virtuoso-opensource 6.1.6%2Brepack

=== binsrc/tests/dotnet/harness/Makefile ===
#
# $Id$
#

CSFLAGS=/optimize+
 
DLL_SOURCES=\
 AssemblyInfo.cs\
 OpenLink\\Testing\\Framework\\ComparisonException.cs\
 OpenLink\\Testing\\Framework\\ITest.cs\
 OpenLink\\Testing\\Framework\\ITestListener.cs\
 OpenLink\\Testing\\Framework\\TestCase.cs\
 OpenLink\\Testing\\Framework\\TestCaseAttribute.cs\
 OpenLink\\Testing\\Framework\\TestCaseResult.cs\
 OpenLink\\Testing\\Framework\\TestFailedException.cs\
 OpenLink\\Testing\\Framework\\TestResult.cs\
 OpenLink\\Testing\\Framework\\TestSkippedException.cs\
 OpenLink\\Testing\\Framework\\TestStatus.cs\
 OpenLink\\Testing\\Framework\\TestStatusCode.cs\
 OpenLink\\Testing\\Framework\\TestSuite.cs\
 OpenLink\\Testing\\Framework\\TestSuiteAttribute.cs\
 OpenLink\\Testing\\UI\\BaseTestRunner.cs\
 OpenLink\\Testing\\Util\\TestSettings.cs

CONSOLE_SOURCES=\
 OpenLink\\Testing\\UI\\ConsoleTestRunner.cs

all: OpenLink.Testing.dll ConsoleTestRunner.exe

OpenLink.Testing.dll: $(DLL_SOURCES) OpenLink.Testing.snk
	csc /target:library /out:$@ $(CSFLAGS) $(DLL_SOURCES)

ConsoleTestRunner.exe: $(CONSOLE_SOURCES) #OpenLink.Testing.dll
	csc /out:$@ /reference:OpenLink.Testing.dll $(CSFLAGS) $(CONSOLE_SOURCES)

OpenLink.Testing.snk:
	sn -k $@

install:
	gacutil -i OpenLink.Testing.dll

uninstall:
	gacutil -u OpenLink.Testing

clean:
	rm -rf OpenLink.Testing.dll ConsoleTestRunner.exe

## virtuoso-opensource 6.1.0

=== debian/changelog ===
virtuoso-opensource (6.1.0-0ubuntu3) lucid; urgency=low

  * Remove debian/init.d file which errornously added an init script to
    virtuoso-nepomuk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 19 Feb 2010 07:47:34 +0000

virtuoso-opensource (6.1.0-0ubuntu2) lucid; urgency=low

  * Change pre-depends into depends in virtuoso-opensource-6.0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 11 Feb 2010 23:08:30 +0000

virtuoso-opensource (6.1.0-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Sync with Debian packaging from Git
   - Add no_do_os_calls.diff patch, don't allow do_os_calls
   - Install to /usr/lib/virtuoso instead of /usr/bin, not a user
     binary
   - virtuoso-t installed to /usr/lib/virtuoso/
  * Update build-gmake-to-make.patch
  * Add package virtuoso-nepomuk to install only the files needed by nepomuk
  * Remove virtuoso-nepomuk files from virtuoso-opensource-6.0-bin and libvirtodbc0
  * Add virtuoso-opensource-6.0-bin.links to link to virtuoso-t from /usr/bin
  * libvirtodbc0 and virtuoso-opensource-6.0-bin depends on virtuoso-nepomuk
  * Remove build-dep on libwbxml2-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Feb 2010 01:22:09 +0000

virtuoso-opensource (6.0.1rc1+dfsg2-1~exp1) unstable; urgency=low

  * Initial release (Closes: #508048)

 -- Obey Arthur Liu <arthur@milliways.fr>  Wed, 30 Dec 2009 19:22:42 +0100

virtuoso-opensource (5.0.12-0ubuntu3) lucid; urgency=low

  * Install to /usr/lib/virtuoso instead of /usr/bin, not a user
    binary
  * Build with --without-internal-zlib and add debian/patches/external_zlib.diff
  * Add no_do_os_calls.diff patch, don't allow do_os_calls

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 28 Jan 2010 20:35:28 +0000

virtuoso-opensource (5.0.12-0ubuntu2) lucid; urgency=low

  * Update build-sanely.diff to only build the required virtodbc_r
    driver and not the other drivers

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 18 Jan 2010 13:48:50 +0000

virtuoso-opensource (5.0.12-0ubuntu1) lucid; urgency=low

  * Initial release
  * Remove .jar and .dll files from .orig

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Jan 2010 16:06:55 +0000

=== debian/control ===
Source: virtuoso-opensource
Section: database
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Obey Arthur Liu <arthur@milliways.fr>
Standards-Version: 3.8.3
Homepage: http://virtuoso.openlinksw.com/wiki/main/Main/
Vcs-Browser: https://alioth.debian.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=pkg-virtuoso/pkg-virtuoso.git
Vcs-Git: git://scm.alioth.debian.org/git/pkg-virtuoso/pkg-virtuoso.git
Build-Depends: cdbs, debhelper (>= 7), autotools-dev, autoconf (>=2.57),
 automake (>=1.10), libtool (>=1.5.16), flex (>=2.5.4), bison (>=1.35),
 gperf (>=2.7.2), gawk (>=3.1.1), m4 (>=1.4.1), make (>=3.79.1),
 libssl-dev (>=0.9.7), libreadline5-dev, zlib1g-dev, libxml2-dev, libpcre3-dev,
 net-tools,
 mono-gmcs (>= 1.0) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 cli-common-dev (>= 0.4.4) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 libmono-corlib2.0-cil (>= 1.2.6) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 libmono-system-data2.0-cil (>= 1.0) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 libmono-system2.0-cil (>= 1.2.6) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armeb armel sparc s390],
 docbook2x, po-debconf, libmagickwand-dev

Package: virtuoso-nepomuk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: virtuoso-server (<< 6.1.0-0ubuntu1), virtuoso-drivers (<< 6.1.0-0ubuntu1)
Conflicts: virtuoso-server (<< 6.1.0-0ubuntu1), virtuoso-drivers (<< 6.1.0-0ubuntu1)
Description: OpenLink Virtuoso Open-Source Edition (OSE)
 Virtuoso is a high-performance object-relational SQL database. As a
 database, it provides transactions, a smart SQL compiler, powerful
 stored-procedure language with optional Java and .Net server-side
 hosting, hot backup, SQL-99 support and more. It has all major
 data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.
 .
 OpenLink Virtuoso supports SPARQL embedded into SQL for querying RDF
 data stored in Virtuoso's database. SPARQL benefits from low-level
 support in the engine itself, such as SPARQL-aware type-casting rules
 and a dedicated IRI data type.
 .
 This is a minimal package containing the files used by KDE's Nepomuk
 semantic desktop.

Package: virtuoso-opensource
Architecture: all
Depends: virtuoso-opensource-6.0, ${shlibs:Depends}, ${misc:Depends}
Recommends: virtuoso-server, virtuoso-vsp-startpage, virtuoso-vad-conductor
Suggests: virtuoso-vad-doc, virtuoso-vad-demo, virtuoso-vad-tutorial,
 virtuoso-vad-rdfmappers, virtuoso-vad-sparqldemo, virtuoso-vad-syncml,
 virtuoso-vad-bpel, virtuoso-vad-isparql, virtuoso-vad-ods
Description: OpenLink Virtuoso Open-Source Edition (OSE)
 Virtuoso is a high-performance object-relational SQL database. As a
 database, it provides transactions, a smart SQL compiler, powerful
 stored-procedure language with optional Java and .Net server-side
 hosting, hot backup, SQL-99 support and more. It has all major
 data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.
 .
 OpenLink Virtuoso supports SPARQL embedded into SQL for querying RDF
 data stored in Virtuoso's database. SPARQL benefits from low-level
 support in the engine itself, such as SPARQL-aware type-casting rules
 and a dedicated IRI data type.
 .
 This is the Virtuoso's Open-Source Edition (Virtuoso OSE).

Package: virtuoso-server
Architecture: all
Depends: virtuoso-opensource-6.0, ${misc:Depends}
Description: Virtuoso OSE Server (metapackage for latest version)
 This is an empty package that depends on the current "best" version
 of virtuoso-server (currently virtuoso-opensource-6.0), as determined by the
 Virtuoso maintainers. Install this package if in doubt about which
 Virtuoso OSE version you need. That will install the version
 recommended by the package maintainers.
 .
 Virtuoso is a high-performance object-relational SQL database. As a
 database, it provides transactions, a smart SQL compiler, powerful
 stored-procedure language with optional Java and .Net server-side
 hosting, hot backup, SQL-99 support and more. It has all major
 data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.

Package: virtuoso-minimal
Architecture: all
Depends: virtuoso-opensource-6.0-bin, libvirtodbc0, ${misc:Depends}
Description: Virtuoso minimal Server (metapackage for latest version)
 This is an empty package that depends on the current "best" version
 of virtuoso-minimal (currently virtuoso-opensource-6.0-bin), as determined
 by the Virtuoso maintainers. This should usually be depended on by all
 packages which use Virtuoso as an embedded database.
 .
 Virtuoso is a high-performance object-relational SQL database. As a
 database, it provides transactions, a smart SQL compiler, powerful
 stored-procedure language with optional Java and .Net server-side
 hosting, hot backup, SQL-99 support and more. It has all major
 data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.

Package: virtuoso-opensource-6.0
Architecture: any
Depends: virtuoso-opensource-6.0-common, virtuoso-opensource-6.0-bin, libvirtodbc0, ${shlibs:Depends}, ${misc:Depends}
Conflicts: virtuoso-server (<< ${source:Version})
Provides: virtuoso-server
Replaces: virtuoso-server (<< ${source:Version})
Description: OpenLink Virtuoso Open-Source Edition - Server support files
 Virtuoso is a high-performance object-relational SQL database. As a
 database, it provides transactions, a smart SQL compiler, powerful
 stored-procedure language with optional Java and .Net server-side
 hosting, hot backup, SQL-99 support and more. It has all major
 data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.
 .
 This package contains the core tools and support files.

Package: virtuoso-opensource-6.0-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenLink Virtuoso Open-Source Edition - Common Binaries
 Virtuoso is a high-performance object-relational SQL database. As a
 database, it provides transactions, a smart SQL compiler, powerful
 stored-procedure language with optional Java and .Net server-side
 hosting, hot backup, SQL-99 support and more. It has all major
 data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.
 .
 This package contains the common binaries.

Package: virtuoso-opensource-6.0-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, virtuoso-nepomuk
Description: OpenLink Virtuoso Open-Source Edition - Server Binaries
 Virtuoso is a high-performance object-relational SQL database. As a
 database, it provides transactions, a smart SQL compiler, powerful
 stored-procedure language with optional Java and .Net server-side
 hosting, hot backup, SQL-99 support and more. It has all major
 data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.
 .
 This package contains the core binary libraries.

Package: virtuoso-vsp-startpage
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, virtuoso-opensource
Description: OpenLink Virtuoso Open-Source Edition - Start Page
 Virtuoso is a high-performance object-relational SQL database. As a
 database, it provides transactions, a smart SQL compiler, powerful
 stored-procedure language with optional Java and .Net server-side
 hosting, hot backup, SQL-99 support and more. It has all major
 data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.
 .
 This package contains the default start page for the web root.

Package: virtuoso-vad-conductor
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, virtuoso-opensource
Description: OpenLink Virtuoso Open-Source Edition - Conductor
 Virtuoso is a high-performance object-relational SQL database. As a
 database, it provides transactions, a smart SQL compiler, powerful
 stored-procedure language with optional Java and .Net server-side
 hosting, hot backup, SQL-99 support and more. It has all major
 data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.
 .
 This package contains the administration interface VAD (Virtuoso
 Application Distribution) package.

Package: virtuoso-vad-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, virtuoso-opensource
Description: OpenLink Virtuoso Open-Source Edition - Documentation
 Virtuoso is a high-performance object-relational SQL database. As a
 database, it provides transactions, a smart SQL compiler, powerful
 stored-procedure language with optional Java and .Net server-side
 hosting, hot backup, SQL-99 support and more. It has all major
 data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.
 .
 This package contains the documentation VAD (Virtuoso Application
 Distribution) package.

Package: virtuoso-vad-demo
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, virtuoso-opensource
Description: OpenLink Virtuoso Open-Source Edition - Demo
 Virtuoso is a high-performance object-relational SQL database. As a
 database, it provides transactions, a smart SQL compiler, powerful
 stored-procedure language with optional Java and .Net server-side
 hosting, hot backup, SQL-99 support and more. It has all major
 data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.
 .
 This package contains the demo application VAD (Virtuoso Application
 Distribution) package.

Package: virtuoso-vad-tutorial
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, virtuoso-opensource
Description: OpenLink Virtuoso Open-Source Edition - Tutorial
 Virtuoso is a high-performance object-relational SQL database. As a
 database, it provides transactions, a smart SQL compiler, powerful
 stored-procedure language with optional Java and .Net server-side
 hosting, hot backup, SQL-99 support and more. It has all major
 data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.
 .
 This package contains the tutorial application VAD (Virtuoso
 Application Distribution) package.

Package: virtuoso-vad-rdfmappers
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, virtuoso-opensource
Description: OpenLink Virtuoso Open-Source Edition - RDF Mappers
 Virtuoso is a high-performance object-relational SQL database. As a
 database, it provides transactions, a smart SQL compiler, powerful
 stored-procedure language with optional Java and .Net server-side
 hosting, hot backup, SQL-99 support and more. It has all major
 data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.
 .
 This package contains the RDF Mappers application VAD (Virtuoso
 Application Distribution) package.

Package: virtuoso-vad-sparqldemo
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, virtuoso-opensource
Description: OpenLink Virtuoso Open-Source Edition - SPARQL Demo
 Virtuoso is a high-performance object-relational SQL database. As a
 database, it provides transactions, a smart SQL compiler, powerful
 stored-procedure language with optional Java and .Net server-side
 hosting, hot backup, SQL-99 support and more. It has all major
 data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.
 .
 This package contains the SPARQL Demo application VAD (Virtuoso
 Application Distribution) package.

Package: virtuoso-vad-syncml
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, virtuoso-opensource
Description: OpenLink Virtuoso Open-Source Edition - SyncML
 Virtuoso is a high-performance object-relational SQL database. As a
 database, it provides transactions, a smart SQL compiler, powerful
 stored-procedure language with optional Java and .Net server-side
 hosting, hot backup, SQL-99 support and more. It has all major
 data-access interfaces, such as ODBC, JDBC, ADO .Net and OLE/DB.
 .
 This package contains the SyncML application VAD (Virtuoso
 Application Distribution) package.

Package: virtuoso-vad-bpel
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, virtuoso-opensource

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_AUTO_UPDATE_AUTOCONF = 2.61

DEB_AUTO_UPDATE_AUTOMAKE = 1.11

DEB_AUTO_UPDATE_LIBTOOL = pre

DEB_AUTOMAKE_ARGS += -Wno-portability

DEB_CONFIGURE_EXTRA_FLAGS = --with-layout=debian \
		--program-transform-name='s/isql$$/isql-vt/;s/isqlw/isqlw-vt/' \
		--with-readline --without-internal-zlib

DEB_CONFIGURE_SCRIPT_ENV += \
		LDFLAGS="-Wl,-z,defs -Wl,--no-undefined -Wl,--as-needed"

DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

# update-rc.d is manually called in virtuoso-opensource-6.0.postinst
# See note there.
DEB_DH_INSTALLINIT_ARGS += --noscripts

# Disabled for now
#DEB_MAKE_INVOKE += -j
#.NOTPARALLEL:

clean::
	debconf-updatepo
	rm -f binsrc/config/ccdefs

build/virtuoso-opensource-6.0::
	cd debian; find . -name "*.?.xml" -exec docbook2x-man --solinks {} \;

cleanbuilddir/virtuoso-opensource-6.0::
	rm -f debian/*.1

build/libvirtuoso5.5-cil::
	$(MAKE) -C binsrc/VirtuosoClient.Net -f Makefile.mono
	chmod -x binsrc/VirtuosoClient.Net/OpenLink.Data.Virtuoso.dll

cleanbuilddir/libvirtuoso5.5-cil::
	$(MAKE) -C binsrc/VirtuosoClient.Net -f Makefile.mono clean

binary-install/libvirtuoso5.5-cil::
	dh_installcligac

binary-predeb/libvirtuoso5.5-cil::
	dh_makeclilibs
	dh_clideps -d

get-orig-source:
	-uscan --download --verbose

## virtuoso-opensource 6.1.4+dfsg1

=== debian/changelog ===
virtuoso-opensource (6.1.4+dfsg1-7) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add Sune and myself to Uploaders.

  [ Ralf Jung ]
  * init script: Use start-stop-daemon (Closes: 704521)
  * init script: Do not use "set -e", that's incompatible with
    lsb/init-scripts
  * init script: Stop attemtping to restart when stopping failed
  * Change maintainer to Debian Krap team
  * Remove obsolete DM-Upload-Allowed

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Wed, 17 Apr 2013 21:30:26 +0200

virtuoso-opensource (6.1.4+dfsg1-6) unstable; urgency=low

  * Add safer-timeout.patch, avoids random FTBFS'es. These random FTBFS'es
    depend on the time of the day and are more prone to happen on slow
    architectures. (Closes: #699785)
  * Remove build-short-timeout.patch, no longer needed because of
    safer-timeout.patch.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 25 Feb 2013 13:49:33 +0100

virtuoso-opensource (6.1.4+dfsg1-5) unstable; urgency=low

  * Remove arm and armfh also from libvirtuoso5.5-cil list of architectures.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 02 Feb 2013 17:15:43 +0100

virtuoso-opensource (6.1.4+dfsg1-4) unstable; urgency=low

  * Update mono architectures: remove arm and armfh. (Closes: 695743)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 01 Feb 2013 17:55:57 +0100

virtuoso-opensource (6.1.4+dfsg1-3) unstable; urgency=low

  * The previous upload didn't actually fix the bug #677286: "unowned files
    after purge (/root/.odbc.ini)". Looks like this is happening because of a
    bug in odbcinst, which ignores the -l option (when passing -l it should
    deal with /etc/odbc.ini and not touch $HOME/.odbc.ini). So I workarounded
    the bug changing again virtuoso-opensource-6.1.prerm; I removed the
    previous workaround and now odbinst is executed thus:
    ODBCSEARCH=ODBC_SYSTEM_DSN odbcinst <arguments_and_stuff>
    Setting that environment variable should override the arguments given in the
    command line, it works both as a workaround for the "unowned files after
    purge" problem and forces obdcinst to actually use the system DSN so it
    will use /etc/odbc.ini, never $HOME/.odbc.ini (Closes: #677286).

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 15 Jan 2013 23:19:48 +0100

virtuoso-opensource (6.1.4+dfsg1-2) unstable; urgency=low

  * Add portable-method-for-escaping-symbol-gawk.diff, fixes the conductor web
    interface (Closes: #680764).
  * Changed virtuoso-opensource-6.1.prerm to not leave an unowned file
    (/root/.odbc.ini) after package removal (Closes: #677286).

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 01 Jan 2013 22:41:57 +0100

virtuoso-opensource (6.1.4+dfsg1-1) unstable; urgency=low

  * New upstream release (Closes: #650281).
  * Switch to source format 3.0 (quilt).
  * Update patches:
    - drop fix-wide-char-encoding.patch, applied upstream.
    - update repack-zlib.patch.
    - refresh other patches in order to make them apply without any offset.
    - add ignore-netstat-failure.patch, to avoid FTBFS on various
      architectures, thanks to Steven Chamberlain (Closes: #663010).
  * Bump debhelper compatibility level to 9.
  * Build also with LDFLAGS provided by dpkg-buildflags. Doing this with the
    debhelper compatibility level set to 9 should enable all the default
    hardening flags.
  * Bump build dependency on cli-common-dev to (>= 0.8~).
  * Bump Standards-Version to 3.9.3:
    - moved virtuoso-opensource, virtuoso-server and virtuoso-minimal to the
      new "metapackages" section.
  * Metapackages now have versioned Depends (>= ${binary:Version}) against
    other virtuoso packages.
  * Fix a bug in the init script, now uses start-stop-daemon with "--user",
    this makes the script work when you are running it under Plasma (the KDE
    workspace) with Nepomuk, which may already execute a /usr/bin/virtuoso-t
    process making start-stop-daemon fail.
  * The init script now removes the pid file when you stop the process, thus it
    won't kill innocent processes with unfortunate pids when restarting.
  * /etc/virtuoso-opensource-6.1/virtuoso.ini isn't a conffile anymore, it's
    just handled by maintainer scripts (Closes: #656087).
  * Now virtuoso-opensource-6.1.postrm stops the server.
  * Add README.source explaining how the upstream tarball repacking was done.
    Just for the record the zlib removal is handled different compared to
    previous versions of this package, hence why repack-zlib.patch was updated.
  * Fix Vcs-Browser field, now points to a valid URL.
  * Changes in debian/copyright:
    - remove pcre information since it's removed with the repackaging.
    - remove the "Virtuoso may be linked against..." statements.
    - remove various duplicated mentions about SHA/MD5 Javascript routines.
    - remove "DocBk XML" part, since looks like the file(s) involved aren't
      there anymore.
    - extend information about works from the GNU C Library.
    - add the license for a couple of DocBook DTD's.
    - add Minizip and Info-ZIP licenses.
    - mention the files involved in each license statement from other projects.
    - add myself to the copyright holders for the debian packaging.
  * Add debian/not-installed.
  * Install README.UPGRADE.
  * Add pt_BR debconf translation (Closes: #649152).
  * Update debian/TODO.Debian:
    - remove explanation about broken parallel building, right now looks like
      the problem is just gone.
  * Set myself as maintainer since looks like Obey Arthur Liu is MIA. Arthur,
    you are very wellcomed to come back.
  * Enable the DM-Upload-Allowed flag.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 10 Jun 2012 23:21:02 +0200

virtuoso-opensource (6.1.3+dfsg1-2.1) unstable; urgency=low

  * Non-maintainer upload
  * Refresh list of Mono architectures in debian/control
    (Closes: #657781)


=== debian/control ===
Source: virtuoso-opensource
Section: database
Priority: optional
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damian Nicanor Pérez Meyer <lisandro@debian.org>,
 Sune Vuorela <sune@debian.org>
Standards-Version: 3.9.3
Homepage: http://virtuoso.openlinksw.com/wiki/main/Main/
Vcs-Browser: https://alioth.debian.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=pkg-virtuoso/pkg-virtuoso.git
Vcs-Git: git://anonscm.alioth.debian.org/git/pkg-virtuoso/pkg-virtuoso.git
Build-Depends: cdbs, debhelper (>= 9), autotools-dev, autoconf (>=2.57),
 automake (>=1.10), libtool (>=1.5.16), flex (>=2.5.4), bison (>=1.35),
 gperf (>=2.7.2), gawk (>=3.1.1), m4 (>=1.4.1), make (>=3.79.1),
 libssl-dev (>=0.9.7), libreadline-dev, zlib1g-dev, libxml2-dev, libpcre3-dev,
 libldap2-dev, net-tools,
 mono-devel (>= 2.4.3) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 armel sparc s390x ppc64],
 cli-common-dev (>= 0.8~) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 armel sparc s390x ppc64],
 docbook2x, po-debconf, libwbxml2-dev, libmagickwand-dev

Package: virtuoso-opensource
Section: metapackages
Architecture: all
Depends: virtuoso-opensource-6.1 (>= ${binary:Version}), ${misc:Depends}
Recommends: virtuoso-server, virtuoso-vsp-startpage, virtuoso-vad-conductor
Suggests: virtuoso-vad-doc, virtuoso-vad-demo, virtuoso-vad-tutorial,
 virtuoso-vad-rdfmappers, virtuoso-vad-sparqldemo, virtuoso-vad-syncml,
 virtuoso-vad-bpel, virtuoso-vad-isparql, virtuoso-vad-ods,
 virtuoso-vad-dbpedia, virtuoso-vad-facetedbrowser
Description: high-performance database
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 Virtuoso supports SPARQL embedded into SQL for querying RDF data stored
 in its database. SPARQL benefits from low-level support in the engine
 itself, such as SPARQL-aware type-casting rules and a dedicated IRI data
 type.
 .
 Install this metapackage for the full suite of packages that make up
 Virtuoso OSE ("Open-Source Edition").

Package: virtuoso-server
Section: metapackages
Architecture: all
Depends: virtuoso-opensource-6.1 (>= ${binary:Version}), ${misc:Depends}
Description: high-performance database - server dependency package
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This is an empty package depending on the current "best" version of the
 Virtuoso server framework, as recommended by the maintainers (currently
 virtuoso-opensource-6.1). Install this package if in doubt about
 which version you need.

Package: virtuoso-minimal
Section: metapackages
Architecture: all
Depends: virtuoso-opensource-6.1-bin (>= ${binary:Version}), 
 libvirtodbc0 (>= ${binary:Version}), 
 ${misc:Depends}
Description: high-performance database - core dependency package
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This is an empty package depending on the current "best" version of the
 core Virtuoso binaries, as recommended by the maintainers (currently
 virtuoso-opensource-6.1-bin). This should usually be depended on by
 all packages which use Virtuoso as an embedded database.

Package: virtuoso-opensource-6.1
Architecture: any
Pre-Depends: dpkg (>= 1.15.7.2~)
Depends: virtuoso-opensource-6.1-common (= ${binary:Version}),
 virtuoso-opensource-6.1-bin (= ${binary:Version}),
 libvirtodbc0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: high-performance database - support files
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package provides the Virtuoso server framework.

Package: virtuoso-opensource-6.1-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: high-performance database - common files
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains files common to all versions of Virtuoso.

Package: virtuoso-opensource-6.1-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: high-performance database - binaries
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the core Virtuoso binaries.

Package: virtuoso-vsp-startpage
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - web interface files
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the files for Virtuoso's web interface.

Package: virtuoso-vad-conductor
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - conductor module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the administration interface.

Package: virtuoso-vad-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - documentation module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the documentation.

Package: virtuoso-vad-demo
Section: doc
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - demo module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the demonstration application.

Package: virtuoso-vad-tutorial
Section: doc
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - tutorial module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the tutorial application.

Package: virtuoso-vad-rdfmappers
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - RDF mappers module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the RDF mappers application.

Package: virtuoso-vad-sparqldemo
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - SPARQL demo module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the SPARQL demo application.

Package: virtuoso-vad-syncml
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - SyncML module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for Synchronization Markup Language support.

Package: virtuoso-vad-bpel
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - BPEL module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for Business Process Execution Language support.

Package: virtuoso-vad-isparql
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - iSPARQL module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for iSPARQL support.

Package: virtuoso-vad-ods
Architecture: all
Depends: ${misc:Depends}, virtuoso-opensource
Description: high-performance database - Open Data Spaces module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/utils.mk
 
+DEB_AUTO_UPDATE_ACLOCAL = 1.11
 DEB_AUTO_UPDATE_AUTOCONF = 2.61
-
 DEB_AUTO_UPDATE_AUTOMAKE = 1.11
-
 DEB_AUTO_UPDATE_LIBTOOL = pre
 
 DEB_AUTOMAKE_ARGS += -Wno-portability
@@ -15,12 +15,28 @@
 		--program-transform-name='s/isql$$/isql-vt/;s/isqlw/isqlw-vt/' \
 		--with-readline --without-internal-zlib
 
+ifeq ($(DEB_BUILD_ARCH),alpha)
+		EXTRA_LDFLAGS += -Wl,--no-relax
+endif
+
+EXTRA_LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
+
+ifeq (hurd,$(findstring hurd,$(DEB_BUILD_ARCH)))
+		CFLAGS += -D_GNU_SOURCE
+endif
+
+ifeq (kfreebsd,$(findstring kfreebsd,$(DEB_BUILD_ARCH)))
+		CFLAGS += -D_GNU_SOURCE
+endif
+
 DEB_CONFIGURE_SCRIPT_ENV += \
-		LDFLAGS="-Wl,-z,defs -Wl,--no-undefined -Wl,--as-needed"
+		LDFLAGS="-Wl,-z,defs -Wl,--no-undefined -Wl,--as-needed $(EXTRA_LDFLAGS)" \
+		MONO_DISABLE_SHM=1 \
+        DEBIANPKG=virtuoso-opensource-6.1
 
 DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp
 
-# update-rc.d is manually called in virtuoso-opensource-6.0.postinst
+# update-rc.d is manually called in virtuoso-opensource-6.1.postinst
 # See note there.
 DEB_DH_INSTALLINIT_ARGS += --noscripts
 
@@ -30,12 +46,11 @@
 
 clean::
 	debconf-updatepo
-	rm -f binsrc/config/ccdefs
 
-build/virtuoso-opensource-6.0::
+build/virtuoso-opensource-6.1::
 	cd debian; find . -name "*.?.xml" -exec docbook2x-man --solinks {} \;
 
-cleanbuilddir/virtuoso-opensource-6.0::
+cleanbuilddir/virtuoso-opensource-6.1::
 	rm -f debian/*.1
 
 build/libvirtuoso5.5-cil::

## virtuoso-opensource 6.1.6%2Bdfsg2

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,51 @@
 Source: virtuoso-opensource
 Section: database
 Priority: optional
-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Lisandro Damian Nicanor Pérez Meyer <lisandro@debian.org>,
- Sune Vuorela <sune@debian.org>
-Standards-Version: 3.9.3
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.9.5
 Homepage: http://virtuoso.openlinksw.com/wiki/main/Main/
-Vcs-Browser: https://alioth.debian.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=pkg-virtuoso/pkg-virtuoso.git
-Vcs-Git: git://anonscm.alioth.debian.org/git/pkg-virtuoso/pkg-virtuoso.git
-Build-Depends: cdbs, debhelper (>= 9), autotools-dev, autoconf (>=2.57),
- automake (>=1.10), libtool (>=1.5.16), flex (>=2.5.4), bison (>=1.35),
- gperf (>=2.7.2), gawk (>=3.1.1), m4 (>=1.4.1), make (>=3.79.1),
- libssl-dev (>=0.9.7), libreadline-dev, zlib1g-dev, libxml2-dev, libpcre3-dev,
- libldap2-dev, net-tools,
- mono-devel (>= 2.4.3) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 armel sparc s390x ppc64],
- cli-common-dev (>= 0.8~) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 armel sparc s390x ppc64],
- docbook2x, po-debconf, libwbxml2-dev, libmagickwand-dev
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/virtuoso-opensource.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/virtuoso-opensource.git
+Build-Depends:
+               bison (>= 1.35),
+               cli-common-dev (>= 0.8~) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 ia64 arm armel sparc s390x ppc64],
+               debhelper (>= 10),
+               docbook2x,
+               docbook-xml,
+               flex (>= 2.5.4),
+               gawk (>= 3.1.1),
+               gperf (>= 2.7.2),
+               libldap2-dev,
+               libmagickwand-dev,
+               libpcre3-dev,
+               libreadline-dev,
+               libssl-dev (>= 0.9.7),
+               libtool (>= 1.5.16),
+               libwbxml2-dev,
+               libxml2-dev,
+               m4 (>= 1.4.1),
+               mono-devel (>= 2.4.3) [i386 kfreebsd-i386 powerpc amd64 kfreebsd-amd64 arm armel sparc s390x ppc64],
+               net-tools,
+               pkg-kde-tools,
+               po-debconf,
+               zlib1g-dev
 
 Package: virtuoso-opensource
 Section: metapackages
 Architecture: all
 Depends: virtuoso-opensource-6.1 (>= ${binary:Version}), ${misc:Depends}
-Recommends: virtuoso-server, virtuoso-vsp-startpage, virtuoso-vad-conductor
-Suggests: virtuoso-vad-doc, virtuoso-vad-demo, virtuoso-vad-tutorial,
- virtuoso-vad-rdfmappers, virtuoso-vad-sparqldemo, virtuoso-vad-syncml,
- virtuoso-vad-bpel, virtuoso-vad-isparql, virtuoso-vad-ods,
- virtuoso-vad-dbpedia, virtuoso-vad-facetedbrowser
+Recommends: virtuoso-server, virtuoso-vad-conductor, virtuoso-vsp-startpage
+Suggests: virtuoso-vad-bpel,
+          virtuoso-vad-dbpedia,
+          virtuoso-vad-demo,
+          virtuoso-vad-doc,
+          virtuoso-vad-facetedbrowser,
+          virtuoso-vad-isparql,
+          virtuoso-vad-ods,
+          virtuoso-vad-rdfmappers,
+          virtuoso-vad-sparqldemo,
+          virtuoso-vad-syncml,
+          virtuoso-vad-tutorial
 Description: high-performance database
  OpenLink Virtuoso is a high-performance object-relational SQL database.
  It provides transactions, a smart SQL compiler, hot backup, SQL:1999
@@ -60,9 +80,9 @@
 Package: virtuoso-minimal
 Section: metapackages
 Architecture: all
-Depends: virtuoso-opensource-6.1-bin (>= ${binary:Version}), 
- libvirtodbc0 (>= ${binary:Version}), 
- ${misc:Depends}
+Depends: libvirtodbc0 (>= ${binary:Version}),
+         virtuoso-opensource-6.1-bin (>= ${binary:Version}),
+         ${misc:Depends}
 Description: high-performance database - core dependency package
  OpenLink Virtuoso is a high-performance object-relational SQL database.
  It provides transactions, a smart SQL compiler, hot backup, SQL:1999
@@ -77,10 +97,12 @@
 
 Package: virtuoso-opensource-6.1
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.7.2~)
-Depends: virtuoso-opensource-6.1-common (= ${binary:Version}),
- virtuoso-opensource-6.1-bin (= ${binary:Version}),
- libvirtodbc0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: dpkg (>= 1.15.7.2~), ${misc:Pre-Depends}
+Depends: libvirtodbc0 (= ${binary:Version}),
+         virtuoso-opensource-6.1-bin (= ${binary:Version}),
+         virtuoso-opensource-6.1-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: high-performance database - support files
  OpenLink Virtuoso is a high-performance object-relational SQL database.
  It provides transactions, a smart SQL compiler, hot backup, SQL:1999
@@ -92,7 +114,7 @@
 
 Package: virtuoso-opensource-6.1-common
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: high-performance database - common files
  OpenLink Virtuoso is a high-performance object-relational SQL database.
  It provides transactions, a smart SQL compiler, hot backup, SQL:1999
@@ -104,7 +126,7 @@
 
 Package: virtuoso-opensource-6.1-bin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: high-performance database - binaries
  OpenLink Virtuoso is a high-performance object-relational SQL database.
  It provides transactions, a smart SQL compiler, hot backup, SQL:1999
@@ -116,7 +138,7 @@
 
 Package: virtuoso-vsp-startpage
 Architecture: all
-Depends: ${misc:Depends}, virtuoso-opensource
+Depends: virtuoso-opensource, ${misc:Depends}
 Description: high-performance database - web interface files
  OpenLink Virtuoso is a high-performance object-relational SQL database.
  It provides transactions, a smart SQL compiler, hot backup, SQL:1999
@@ -128,7 +150,7 @@
 
 Package: virtuoso-vad-conductor
 Architecture: all
-Depends: ${misc:Depends}, virtuoso-opensource
+Depends: virtuoso-opensource, ${misc:Depends}
 Description: high-performance database - conductor module
  OpenLink Virtuoso is a high-performance object-relational SQL database.
  It provides transactions, a smart SQL compiler, hot backup, SQL:1999
@@ -142,7 +164,7 @@
 Package: virtuoso-vad-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, virtuoso-opensource
+Depends: virtuoso-opensource, ${misc:Depends}
 Description: high-performance database - documentation module
  OpenLink Virtuoso is a high-performance object-relational SQL database.
  It provides transactions, a smart SQL compiler, hot backup, SQL:1999
@@ -156,7 +178,7 @@
 Package: virtuoso-vad-demo
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, virtuoso-opensource
+Depends: virtuoso-opensource, ${misc:Depends}
 Description: high-performance database - demo module
  OpenLink Virtuoso is a high-performance object-relational SQL database.
  It provides transactions, a smart SQL compiler, hot backup, SQL:1999
@@ -170,7 +192,7 @@
 Package: virtuoso-vad-tutorial
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, virtuoso-opensource
+Depends: virtuoso-opensource, ${misc:Depends}
 Description: high-performance database - tutorial module
  OpenLink Virtuoso is a high-performance object-relational SQL database.
  It provides transactions, a smart SQL compiler, hot backup, SQL:1999
@@ -183,7 +205,7 @@
 
 Package: virtuoso-vad-rdfmappers
 Architecture: all
-Depends: ${misc:Depends}, virtuoso-opensource
+Depends: virtuoso-opensource, ${misc:Depends}
 Description: high-performance database - RDF mappers module
  OpenLink Virtuoso is a high-performance object-relational SQL database.
  It provides transactions, a smart SQL compiler, hot backup, SQL:1999
@@ -196,7 +218,7 @@
 
 Package: virtuoso-vad-sparqldemo
 Architecture: all
-Depends: ${misc:Depends}, virtuoso-opensource
+Depends: virtuoso-opensource, ${misc:Depends}
 Description: high-performance database - SPARQL demo module
  OpenLink Virtuoso is a high-performance object-relational SQL database.
  It provides transactions, a smart SQL compiler, hot backup, SQL:1999
@@ -209,7 +231,7 @@
 
 Package: virtuoso-vad-syncml
 Architecture: all
-Depends: ${misc:Depends}, virtuoso-opensource
+Depends: virtuoso-opensource, ${misc:Depends}
 Description: high-performance database - SyncML module
  OpenLink Virtuoso is a high-performance object-relational SQL database.
  It provides transactions, a smart SQL compiler, hot backup, SQL:1999
@@ -222,7 +244,7 @@
 
 Package: virtuoso-vad-bpel
 Architecture: all
-Depends: ${misc:Depends}, virtuoso-opensource
+Depends: virtuoso-opensource, ${misc:Depends}
 Description: high-performance database - BPEL module
  OpenLink Virtuoso is a high-performance object-relational SQL database.
  It provides transactions, a smart SQL compiler, hot backup, SQL:1999
@@ -235,7 +257,7 @@
 
 Package: virtuoso-vad-isparql
 Architecture: all
-Depends: ${misc:Depends}, virtuoso-opensource
+Depends: virtuoso-opensource, ${misc:Depends}
 Description: high-performance database - iSPARQL module
  OpenLink Virtuoso is a high-performance object-relational SQL database.
  It provides transactions, a smart SQL compiler, hot backup, SQL:1999
@@ -248,9 +270,4 @@
 
 Package: virtuoso-vad-ods
 Architecture: all
-Depends: ${misc:Depends}, virtuoso-opensource
-Description: high-performance database - Open Data Spaces module
- OpenLink Virtuoso is a high-performance object-relational SQL database.
- It provides transactions, a smart SQL compiler, hot backup, SQL:1999
- support, a powerful stored-procedure language supporting server-side
- Java or .NET, and more. It supports all major data-access interfaces,
+Depends: virtuoso-opensource, ${misc:Depends}
